%define		_state		stable
%define		orgname		ffmpegthumbs
%define		qtver		4.8.1

Summary:	Video thumbnail generator for KDE
Summary(pl.UTF-8):	Generator podglądów video dla KDE
Name:		kde4-%{orgname}
Version:	4.10.4
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	30930f400c87ce51e96696d9ba62ed90
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	ffmpeg-devel >= 0.8
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdebase >= %{version}
Requires:	ffmpeg >= 0.8
Obsoletes:	kde4-kdemultimedia-ffmpegthumbs < 4.8.99-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFMpegThumbs is a video thumbnail generator for KDE file managers
(Konqueror, Dolphin, ...) , now available also for KDE 4.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/ffmpegthumbs.so
%{_datadir}/kde4/services/ffmpegthumbs.desktop
%changelog
* Sun Aug 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-ffmpegthumbs.git;a=log;h=master

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> c54443d
- release 2 (by relup.sh)

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 448751f
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 8423dfd
- 4.10.0

* Mon Feb 11 2013 Jan Rękorajski <baggins@pld-linux.org> c630d51
- release 3 (by relup.sh)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d934ed2
- release 2 (by relup.sh)

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 5a6ba82
- updated to 4.9.4

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> ac16814
- release 2 (by relup.sh)

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 10c0a98
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 5855eba
- Obsoletes kdemultimedia package
Release 2

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 2a7d775
- Updated BRs
Release 1

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 475d895
- Fixed name

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 49ca23b
- Initial commit, split from kde4-kdemultimedia, BRs probably wrong

